> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.itemchangedeventhandler.md).

# ItemChangedEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the method that will handle the [ItemChanged](/api/wisej.web/data-binding/wisej.web.currencymanager.md#itemchanged) event of the [CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md) class.

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void ItemChangedEventHandler(Object sender, ItemChangedEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub ItemChangedEventHandler(ByVal sender As [Object], ByVal e As ItemChangedEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                                  | Description                                                                                                            |
| ---------- | ------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                         | The source of the event.                                                                                               |
| **e**      | [ItemChangedEventArgs](/api/wisej.web/data-binding/wisej.web.itemchangedeventargs.md) | An [ItemChangedEventArgs](/api/wisej.web/data-binding/wisej.web.itemchangedeventargs.md) that contains the event data. |

## Fired By

| Name                                                                                                | Description                                   |
| --------------------------------------------------------------------------------------------------- | --------------------------------------------- |
| [CurrencyManager.ItemChanged](/api/wisej.web/data-binding/wisej.web.currencymanager.md#itemchanged) | Fired when the current item has been altered. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.itemchangedeventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
